using System;

using WSCompression;

namespace TestClient
{
    public class Program
    {
        [MTAThread]
        static void Main( string[] args )
        {
            try
            {
                Program app = new Program( );
                app.Run( );
            }
            catch ( Exception e )
            {
                Console.WriteLine( "*** An exception was caught ***" );
                Console.WriteLine( "Exception message: {0}", e.Message );
                Console.WriteLine( "Stack trace: {0}", e.StackTrace );
            }
        }

        public Program( ) { }

        public void Run( )
        {
            AppClient x = new AppClient( new Uri( "http://localhost:1226/TestSite/Service.ashx" ) );
            string echoText = x.SomeOperation( "Hello World!" );

            Console.WriteLine( "The string returned was: {0}", echoText );
            Console.WriteLine( "Press [Enter] to continue..." );
            Console.ReadLine( );
        }
    }
}