using System;

using Microsoft.Web.Services3;
using Microsoft.Web.Services3.Messaging;

using WSCompression;

namespace TestClient
{
    [Policy( "ClientPolicy" )]
    public class AppClient : SoapClient
    {
        public AppClient( Uri to ) : base( to ) { }

        [SoapMethod( "http://tempuri.org/SomeOperation" )]
        public string SomeOperation( string data )
        {
            return ( string )base.SendRequestResponse( "SomeOperation", data ).GetBodyObject( typeof( string ) );
        }
    }
}